/*
 * \brief  Implementation of the Hello service
 * \author Björn Döbel
 * \date   2008-03-20
 */

/*
 * Copyright (C) 2008-2009
 * Genode Labs, Feske & Helmuth Systementwicklung GbR
 *
 * This file is part of the Genode OS framework, which is distributed
 * under the terms of the GNU General Public License version 2.
 */

#ifndef _COMPONENT_H_
#define _COMPONENT_H_

#include <sampling_session/server.h>

using namespace Genode;

namespace Sampling {

	class Session_component : public Sampling::Session_server
	{
		public:
			Ram_dataspace blah;

			Session_component(): blah(Genode::env()->ram_session(), 4096){}

			void say_hello() {
				PDBG("I am here... Hello."); }

			int add(int a, int b) {
				return a + b; }
			
			Genode::Dataspace_capability get_cap()
			{
				return blah.cap();
			}
	};
}

#endif /* _COMPONENT_H_ */
