/*
 * \brief  Connection to Hello service
 * \author Norman Feske
 * \date   2008-11-10
 */

/*
 * Copyright (C) 2008-2009
 * Genode Labs, Feske & Helmuth Systementwicklung GbR
 *
 * This file is part of the Genode OS framework, which is distributed
 * under the terms of the GNU General Public License version 2.
 */

#ifndef _INCLUDE__HELLO_SESSION__CONNECTION_H_
#define _INCLUDE__HELLO_SESSION__CONNECTION_H_

#include <sampling_session/client.h>
#include <base/connection.h>

namespace Sampling {

	class Connection : public Genode::Connection<Session_capability>,
	                   public Session_client
	{
		public:

			/**
			 * Constructor
			 */
			Connection() :

				/* create session */
				Genode::Connection<Sampling::Session_capability>(
					session(service_name(), "foo, ram_quota=4K")),

				/* initialize RPC interface */
				Session_client(cap()) { }
	};
}

#endif /* _INCLUDE__HELLO_SESSION__CONNECTION_H_ */
