/*
 * \brief  Interface definition of the Hello service
 * \author Björn Döbel
 * \date   2008-03-20
 */

/*
 * Copyright (C) 2008-2009
 * Genode Labs, Feske & Helmuth Systementwicklung GbR
 *
 * This file is part of the Genode OS framework, which is distributed
 * under the terms of the GNU General Public License version 2.
 */

#ifndef _INCLUDE__HELLO_SESSION__HELLO_SESSION_H_
#define _INCLUDE__HELLO_SESSION__HELLO_SESSION_H_

#include <rm_session/rm_session.h>
#include <base/server.h>
#include <ram_session/connection.h>

using namespace Genode;

namespace Sampling {

	class Session
	{
		protected:
			enum Opcode { SAY_HELLO = 23, NET_BUF = 24, ADD = 42 };

		public:

			static const char *service_name() { return "Sampling"; }

			virtual ~Session() { }

			virtual void say_hello() = 0;
			virtual int add(int a, int b) = 0;
			virtual Dataspace_capability get_cap() = 0;
	};
}

#endif /* _INCLUDE__HELLO_SESSION__HELLO_SESSION_H_ */
